{ pkgs
, lib
, config
, ... }: with lib; let
  cfg = config.passthrough.gnome;
in mkIf cfg.enable {
  # cursor theme
  home.pointerCursor = {
    package = pkgs.catppuccin-cursors.frappeDark;
    name = "Catppuccin-Frappe-Dark-Cursors";
  };

  # gtk theme
  gtk.theme = {
    package = pkgs.catppuccin-gtk.override {
      accents = [ "pink" ];
      size = "compact";
      #tweaks = [ "rimless" "black" ];
      variant = "frappe";
    };
    name = "Catppuccin-Frappe-Compact-Pink-Dark";
  };

  home.packages =
  with pkgs;
  with gnome;
  with gnomeExtensions; [
    # gnome
    gnome-terminal

    # gnomeExtensions
    dash-to-panel
    dash-to-dock
    appindicator
  ];
}
