{ lib
, modulesPath
, ... }: {
  global = {
    id = "62ea62fde6c04fb6b5c791892b6798c8";
    auth.openssh.enable = true;
    libvirt.enable = false;
    fs.type = "ext4";
    fs.store = "7c3459d2-c046-4ef6-8bc6-a8cf97bcade9";
    oci.enable = true;
  };

  imports = lib.pipe ./. [
    builtins.readDir
    (lib.filterAttrs (n: ty: ty == "regular" && n != "default.nix"))
    (lib.mapAttrsToList (n: _: ./${n}))
  ] ++ [ (modulesPath + "/profiles/qemu-guest.nix") ];

  boot.initrd.availableKernelModules = [ "ahci" "xhci_pci" "virtio_pci" "sr_mod" "virtio_blk" ];
  boot.initrd.kernelModules = [ ];
  boot.kernelModules = [ "kvm-intel" ];
  boot.extraModulePackages = [ ];
  boot.kernelParams = [ "console=ttyS0,115200n8" ];
}
